Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
NguyenNgocSon

[Nhờ Giúp Đỡ] Sửa Lỗi Lisp Vẽ Đường Thẳng

Các bài được khuyến nghị

(defun c:bi ()
(defun #SS->List (ss / i lst)
  (repeat (setq i (sslength ss))
   (setq lst (cons (ssname ss (setq i (1- i))) lst))))
 (vl-load-com)
 (command "undo" "be")
 (if (setq ss (ssget "X" '((cons 0 "LWPOLYLINE") (cons 8 "Ketcau"))))
  (foreach ent (#SS->List ss)
	(setq stap (vlax-curve-getEndPoint ent))
	(setq endp (vlax-curve-getstartpoint ent))
	(command ".line" stap endp "")
)
)
)

Nhờ các bác xem giúp em lisp sau

Vẽ đường thẳng qua điểm đầu và cuối của LWPL trong tập chọn

Nó báo lôĩ ; error: bad SSGET list

mà em loay hoay không biêt nhầm đâu

Mong các bác giúp đỡ
Cám ơn !

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
pphung183    425
(defun c:bi ()
(defun #SS->List (ss / i lst)
  (repeat (setq i (sslength ss))
   (setq lst (cons (ssname ss (setq i (1- i))) lst))))
 (vl-load-com)
 (command "undo" "be")
 (if (setq ss (ssget "X" '((cons 0 "LWPOLYLINE") (cons 8 "Ketcau"))))
  (foreach ent (#SS->List ss)
	(setq stap (vlax-curve-getEndPoint ent))
	(setq endp (vlax-curve-getstartpoint ent))
	(command ".line" stap endp "")
)
)
)

Nhờ các bác xem giúp em lisp sau

Vẽ đường thẳng qua điểm đầu và cuối của LWPL trong tập chọn

Nó báo lôĩ ; error: bad SSGET list

mà em loay hoay không biêt nhầm đâu

Mong các bác giúp đỡ
Cám ơn !

 

Sai cơ bản :) :

(if (setq ss (ssget "X" '((0 . "LWPOLYLINE") (8 . "Ketcau"))))

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
anti lazy    27

Bạn chưa đọc kỹ help hàm QUOTE rồi.

Nếu không cần tính toán (evaluating): dùng QUOTE cho gọn, có thể dùng LIST

Nếu có tính toán (VD loại đối tượng, tên layer là biến): dùng LIST

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×